Subject: Re: bug#21535: 25.0.50; vc-follow-symlinks=ask is ineffective for directory links

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Dec 2020 15:57:16 +0100

Glenn Morris <[email-masked]> writes:

> Maybe:
> cd /tmp
> mkdir git
> cd git
> touch 1
> git init
> git add .
> git commit -m "c1"
> cd /tmp
> ln -s git/1
> ln -s git git2

Thanks!

> emacs -Q /tmp/1
>  -> "Symbolic link to Git-controlled source file; follow link?"
>
> emacs -Q /tmp/git2/1
>  -> no prompt
>
> I don't think I see why that matters though, so maybe not the right example.

I think that's the correct recipe for the issue described.

And it does seem rather odd, doesn't it?  In both cases, we're following
a symlink, but we only get the warning in the first case?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no